Base URL: https://demo-api.incodesmile.com — Incode demo environment
Add phone to interview. Deprecated, use POST /phone instead.
**Deprecated**
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
phone |
string | User's phone number. E.164 number convention. | |
optInGranted |
boolean | Indicates whether opt-in is granted Default: false |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
|
existingCustomer |
boolean | Flag indicating if this user with given phone already exists in the system. |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |